﻿<%@ Page 
    Language="C#" 
    MasterPageFile="~/Resources/MasterPages/Application.Master" 
    CodeBehind="Overview.aspx.cs" 
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.ChangeControls.Overview" %>

<asp:Content ID="Content1" ContentPlaceHolderID="AdditionalHeadContent" runat="server">
    <style type="text/css">
        img { border: 0; }
        #buttonContainer{ float:right;padding:10px;}
    </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<bm:Breadcrumb runat="server" ID="ctlBreadcrumb" />

<bm:UpgradeOverview runat="server" ID="ctlLicensing" WarningText="The current license does not permit change controls." />

<bm:InfoBox runat="server" ID="ctlNoRelease" Visible="false" BoxType="Warning">
    You must <bm:ModalHyperLink runat="server" NavigateUrl="../releases/edit" Text="create a release" /> before change controls may be created.
</bm:InfoBox>

<asp:PlaceHolder runat="server" ID="ctlChangeControls">

<div class="action-button-container" id="buttonContainer">
    <bm:HyperLinkButton runat="server" ID="lnkAddChangeControl"
        Text = "Add Change Control"
        NavigateUrl = "EditChangeControl.aspx"
        /> 
</div>

<bm:FilterString ID="ctlFilter" runat="server">
    <Snippets>
        <bm:TextSnippet>Show</bm:TextSnippet>
        <bm:ListSnippet Name="Count" ID="ctlFilter_Count">
            <bm:ListSnippetItem Text="all" Value="" />
            <bm:ListSnippetItem Text="last 25" Value="25" Selected="true" />
            <bm:ListSnippetItem Text="last 50" Value="50" />
            <bm:ListSnippetItem Text="last 100" Value="100" />
        </bm:ListSnippet>
        <bm:ListSnippet ID="ctlFilter_Active">
            <bm:ListSnippetItem Text="active" Value="N" />
            <bm:ListSnippetItem Text="active or inactive" Value="Y" />
        </bm:ListSnippet> 
        <bm:TextSnippet>change controls for</bm:TextSnippet>
        <bm:ListSnippet Name="Release" ID="ctlFilter_Rel">
            <bm:ListSnippetItem Text="any release" Value="" Selected="false" />
        </bm:ListSnippet>
    </Snippets>
</bm:FilterString>

<bm:BuildMasterStyledTable runat="server" ID="tblChangeControls">
        <asp:TableHeaderRow>
            <asp:TableHeaderCell>Name</asp:TableHeaderCell>
            <asp:TableHeaderCell Width="50">Rel</asp:TableHeaderCell>
            <asp:TableHeaderCell>Last Modified</asp:TableHeaderCell>
            <asp:TableHeaderCell>Responsible Principal</asp:TableHeaderCell>
            <asp:TableHeaderCell>&nbsp;</asp:TableHeaderCell>
        </asp:TableHeaderRow>
    </bm:BuildMasterStyledTable>

</asp:PlaceHolder>

</asp:Content>
